Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.impl.ah
Class PermissionBitMappingAttributeHandler

    java.lang.Object
      oracle.ifs.fdk.impl.ah.ReadOnlyAttributeHandler
          oracle.ifs.fdk.impl.ah.PermissionBitMappingAttributeHandler

All Implemented Interfaces:
  AttributeHandler

    public class PermissionBitMappingAttributeHandler

extends ReadOnlyAttributeHandler

Takes a given accesslevel bitmap and returns an array of booleans where a permission bit's index matches the capability integer assigned to it in FdkConstants.

Constructor Summary
`PermissionBitMappingAttributeHandler(AttributeHandler handler)` Creates a new instance which will return the specified admin group.

Method Summary
`boolean` | `canHandle(AttributeHandlerContext context)` Returns `true` if this handler can handle the attribute request on the given object instance.
`java.lang.Object` | `getValue(AttributeHandlerContext context)` Returns the value of an attribute.

Methods inherited from class oracle.ifs.fdk.impl.ah.ReadOnlyAttributeHandler
`canUpdate, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PermissionBitMappingAttributeHandler

    public PermissionBitMappingAttributeHandler(AttributeHandler handler)

  Creates a new instance which will return the specified admin group.

  Parameters:
    `handler` - The attribute handler

Method Detail

### canHandle

    public boolean canHandle(AttributeHandlerContext context)
                      throws FdkException,
                             IfsException

  Description copied from interface: `AttributeHandler`
  Returns `true` if this handler can handle the attribute request on the given object instance. The necessary information to determine which attribute is requested and what the underlying repository object is will be packaged in the context.

  Parameters:
    `context` - The context when this handler is called.
  Throws:
    `FdkException` - If a framework error occurs.
    `IfsException` - If a repository exception occurs.

### getValue

    public java.lang.Object getValue(AttributeHandlerContext context)
                              throws IfsException,
                                     FdkException

  Description copied from interface: `AttributeHandler`
  Returns the value of an attribute. This method must throw a `RuntimeException` if `canHandle()` returns `false` and this method is still being called.

  Note that implementations which handle read-only attributes should subclass `ReadOnlyAttributeHandler` for convenience as they would need to provide the read side methods only.

  Parameters:
    `context` - The context when this handler is called.
  Throws:
    `IfsException` - If a repository exception occurs.
    `FdkException` - If a framework error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD